Plugin Recommend
curl --request PUT \
--url https://{host}/api/plugins/{owner}/{name}/recommendation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": "<string>",
"expected_generation": 123
}
'import requests
url = "https://{host}/api/plugins/{owner}/{name}/recommendation"
payload = {
"version": "<string>",
"expected_generation": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: '<string>', expected_generation: 123})
};
fetch('https://{host}/api/plugins/{owner}/{name}/recommendation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"owner": "<string>",
"name": "<string>",
"version": "<string>",
"kind": "<string>",
"load": "<string>",
"summary": "<string>",
"digest": "<string>",
"size_bytes": 123,
"enabled": true,
"created_by": "<string>",
"created_at": "<string>",
"source": "<string>",
"executable": true,
"package_type": "<string>",
"capability": "<string>",
"execution": "<string>",
"manifest_schema": "<string>",
"supported": true,
"requirements": {},
"icon": "<string>",
"homepage": "<string>",
"license": "<string>",
"author": "<string>",
"keywords": [
"<string>"
],
"manifest": {},
"readme": "<string>",
"versions": [
{
"version": "",
"digest": "",
"size_bytes": 0,
"enabled": true,
"effective_enabled": true,
"created_by": "",
"created_at": ""
}
],
"family_enabled": true,
"version_enabled": true,
"recommended_version": "",
"policy_generation": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Plugin Recommend
PUT
/
api
/
plugins
/
{owner}
/
{name}
/
recommendation
Plugin Recommend
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
One plugin version with its manifest and README, plus the plugin's version list.
Show child attributes
Show child attributes